<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Register</title>
    <link type="text/css" rel="stylesheet" href="./css/styleRegister.css">
</head>
<body>
    <section>
        <div class="container">
            <div class="user signupBx">
                <div class="formBx">
                    <form action="/Register" method="post">
                        <h2>Create an account</h2>
                        <input type="text" name="username" placeholder="Username" required>
                        <input type="text" name="email" placeholder="Email Address" required>
                        <input type="password" name="password" placeholder="Create Password" onchange="validatePassword()" id="password" required>
                        <input type="password" name="confirm" placeholder="Confirm Password"  onkeyup="validatePassword()" id="confirm_password" required>
                        <input type="submit" id="submit" name="" value="Sign Up">
                        <p class="signup">Already have an account ? <a href="/login-form">Sign In</a></p>
                    </form>
                </div>
                <div class="imgBx"><img src="./photos/pic2.jpeg"></div>
            </div>
        </div>
    </section>
    <script>
        const password = document.getElementById("password")
            , confirm_password = document.getElementById("confirm_password");

        function validatePassword(){
            if(password.value !== confirm_password.value) {
                confirm_password.setCustomValidity("Entered Passwords Don't Match!! Please Try Again");
            } else {
                confirm_password.setCustomValidity('');
            }
        }

        password.onchange = validatePassword;
        confirm_password.onkeyup = validatePassword;
    </script>
</body>
</html>